#!/usr/bin/python
import matplotlib as mpl;
mpl.use('Agg');
from matplotlib import pyplot as plt
import numpy as np
import matplotlib
stdFont = 22;
mpl.rc('lines', linewidth=4);
mpl.rc('xtick', labelsize=stdFont);
mpl.rc('ytick', labelsize=stdFont);
mpl.rc('axes', labelsize=stdFont);
mpl.rc('legend', fontsize=stdFont);
mpl.rc('legend', labelspacing=0);
mpl.rc('legend', borderpad=0.15);
mpl.rc('legend', handletextpad=.0);
titlefont = 33;
plt.clf();
fig = plt.figure();
Ybikes = [66, 85, 85, 91, 87, 83, 87, 88, 94];
Xbikes = [5, 8, 11, 14, 17, 20, 23, 26, 29];
YchairsFC = [80, 76, 84, 86, 83, 86, 85, 87, 79];
XchairsFC = [5, 8, 11, 14, 17, 20, 23, 26, 29];
Ykaick = [63, 78, 73, 71, 70, 84, 86, 85, 84];
Xkaick = [5, 8, 11, 14, 17, 20, 23, 26, 29];
Ygym = [17, 16, 24, 27, 37, 27, 44, 45, 55];
Xgym = [4, 7, 9, 12, 14, 16, 19, 21, 24];
Ycockpits = [54, 62, 71, 72, 81, 81, 91, 86, 86];
Xcockpits = [4, 6, 8, 10, 12, 14, 16, 18, 20];
Yother = [58, 63, 55, 54, 78];
Xother = [2, 4, 6, 8, 10];
plt.plot(Xbikes, Ybikes, color=(1, 0, 0));
plt.plot(XchairsFC, YchairsFC, color=(0, 0, 0));
plt.plot(Xkaick, Ykaick, color=(0, 0, 1));
plt.plot(Xcockpits, Ycockpits, color=(0, .7, 0));
plt.plot(Xother, Yother, color=(1, 0, 1));
plt.plot(Xgym, Ygym, color=(.5, .5, .5));
plt.ylim([0, 100]);
legendNames = ['Bicycles', 'Chairs', 'Bipedals', 'Cockpits', 'Carts', 'Gym. Eq.'];
plt.legend(legendNames, bbox_to_anchor=(1.05, 0), loc="lower right");
plt.xlabel('N Models');
plt.ylabel('Accuracy');
plt.text(1, 90, "At 20cm", fontsize=titlefont);
plt.savefig("./split_March14/combined/1_slice20.0.pdf");
plt.savefig("./split_March14/combined/1_slice20.0.png");
